<template>
  <div :class="`md-layout-item md-alignment-top-left md-size-${open ? '25' : '5'} left-sidebar sidebar-wrapper ${open?'open':''}`" >
    <div class="left-sidebar-b container">
      <div class="left-sidebar-b__title"><span v-lang.chooseTest />:</div>
      <md-list>
        <md-list-item :md-expand="open">
          <img src="../../assets/Javascript-shield.png" class="item-list-icon" alt="javascript">
          <span class="md-list-item-text">JavaScript</span>

          <md-list slot="md-expand">
            <md-list-item class="md-inset">World</md-list-item>
            <md-list-item class="md-inset">Europe</md-list-item>
            <md-list-item class="md-inset">South America</md-list-item>
          </md-list>
        </md-list-item>

        <md-list-item :md-expand="open">
          <img src="../../assets/HTML_Logo.png" class="item-list-icon" alt="HTML">
          <span class="md-list-item-text">HTML5</span>

          <md-list slot="md-expand">
            <md-list-item class="md-inset">World</md-list-item>
            <md-list-item class="md-inset">Europe</md-list-item>
            <md-list-item class="md-inset">South America</md-list-item>
          </md-list>
        </md-list-item>

        <md-list-item :md-expand="open">
          <img src="../../assets/css3-logo-.png" class="item-list-icon" alt="css">
          <span class="md-list-item-text">CSS3</span>

          <md-list slot="md-expand">
            <md-list-item class="md-inset">World</md-list-item>
            <md-list-item class="md-inset">Europe</md-list-item>
            <md-list-item class="md-inset">South America</md-list-item>
          </md-list>
        </md-list-item>
      </md-list>
      <div class="toggle-panel-button" @click="openPanel"><md-icon>chevron_{{open ? 'left' : 'right'}}</md-icon></div>
    </div>
  </div>
</template>

<script>

  import { mapActions, mapGetters } from 'vuex';

export default {
  name: 'LeftPanel',
  methods: {
    ...mapActions({
      openPanel: 'togglePanel'
    }),
  },
  computed: {
    ...mapGetters({
      open: 'panelState'
    }),
  }
}
</script>

<style lang="scss" rel="stylesheet/scss">
  @import "LeftPanel";
</style>
